[Task] Implement statement order fetching from other Wikis
Closed, ResolvedPublic

Description

So that it's possible to eg. use the ordering from Wikidata as a default.

This should be implemented by having a DispatchingPropertyOrderProvider that first tries to get the local data and if there's none, it falls back to loading the data from Wikidata.

hoo created this task.May 7 2016, 10:50 AM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 7 2016, 10:50 AM
Lucie moved this task from Incoming to To Do Next on the ArticlePlaceholder board.Aug 1 2016, 2:48 PM
hoo claimed this task.Aug 24 2016, 5:26 PM

Change 307124 had a related patch set uploaded (by Hoo man):
Allow fetching the property order from a central place

https://gerrit.wikimedia.org/r/307124

hoo moved this task from To Do Next to Review on the ArticlePlaceholder board.Aug 28 2016, 2:58 PM
daniel added a subscriber: daniel.Sep 5 2016, 1:51 PM

The proposed patch introduces the possibility for client wikis to fall back to some remotely defined property order, by providing a URL from which that order can be loaded, encoded as wikitext.

But what URL will that be? An obvious choice would be https://www.wikidata.org/wiki/MediaWiki:Wikibase-SortedProperties?action=raw. But the action=raw interface is deprecated iirc. And it will not work for content models other than wikitext, so it can't be used if we decide to migrate the property order to a json based format, for example.

Using the regular web API would be preferable, but then the response would be wrapped in a JSON envelope, which HttpUrlPropertyOrderProvider would have to know about. It would then be a MediaWikiApiPropertyOrderProvider I suppose.

daniel moved this task from Review to Done on the Wikidata-Sprint-2016-08-30 board.Sep 5 2016, 5:03 PM

(This is "done" wrt the sprint. Leaving this ticket open so we can discuss where the property order should actually be loaded from).

Change 307124 merged by jenkins-bot:
Allow fetching the property order from a central place

https://gerrit.wikimedia.org/r/307124

hoo added a comment.Sep 6 2016, 7:17 PM

@daniel I don't see a problem in making use of action=raw here, it's the simplest way to go about this (and also for example SpamBlacklist also does it with a page on meta). There's nothing about it being deprecated in RawAction.

daniel closed this task as Resolved.Sep 8 2016, 10:00 AM
hoo moved this task from Review to Done on the ArticlePlaceholder board.Dec 13 2016, 10:07 AM